## GgitDiffFile GgitDiffFile |

## Functions

GgitDiffFile * | ggit_diff_file_ref ()
void | ggit_diff_file_unref ()
GgitOId * | ggit_diff_file_get_oid ()
const gchar * | ggit_diff_file_get_path ()
guint16 | ggit_diff_file_get_mode ()
gint64 | ggit_diff_file_get_size ()
GgitDiffFlag | ggit_diff_file_get_flags ()

## Types and Values

| GgitDiffFile

## Object Hierarchy

        GBoxed
        ╰── GgitDiffFile

## Description

## Functions

### ggit_diff_file_ref ()

    GgitDiffFile *
    ggit_diff_file_ref (GgitDiffFile *file);

Atomically increments the reference count of `file` by one. This function is MT-safe and may be called from any thread.

#### Parameters

file | a GgitDiff. |

#### Returns

a GgitDiffFile or `NULL`.

[transfer none][nullable]

### ggit_diff_file_unref ()

    void
    ggit_diff_file_unref (GgitDiffFile *file);

Atomically decrements the reference count of `file` by one. If the reference count drops to 0, `file` is freed.

#### Parameters

file | a GgitDiffFile. |

### ggit_diff_file_get_oid ()

    GgitOId *
    ggit_diff_file_get_oid (GgitDiffFile *file);

Gets the GgitOId for `file` .

#### Parameters

file | a GgitDiffFile. |

#### Returns

the file's GgitOId or `NULL`.

[transfer none][nullable]

### ggit_diff_file_get_path ()

    const gchar *
    ggit_diff_file_get_path (GgitDiffFile *file);

Gets the path of `file` or `NULL` if it is unknown.

#### Parameters

file | a GgitDiffFile. |

#### Returns

the file's path, or `NULL`.

[transfer none][nullable]

### ggit_diff_file_get_mode ()

    guint16
    ggit_diff_file_get_mode (GgitDiffFile *file);

Gets the mode for `file` .

#### Parameters

file | a GgitDiffFile. |

#### Returns

the file's mode.

### ggit_diff_file_get_size ()

    gint64
    ggit_diff_file_get_size (GgitDiffFile *file);

Gets the size for `file` .

#### Parameters

file | a GgitDiffFile. |

#### Returns

the file's size.

### ggit_diff_file_get_flags ()

    GgitDiffFlag
    ggit_diff_file_get_flags (GgitDiffFile *file);

Gets the GgitDifflags for `file` .

#### Parameters

file | a GgitDiffFile. |

#### Returns

the file's flags.

## Types and Values

### GgitDiffFile

    typedef struct _GgitDiffFile GgitDiffFile;

Represents a file in a GgitDiff.